Package org.apache.sysds.runtime.controlprogram.context

## Class SparkExecutionContext.MemoryManagerParRDDs

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.context.SparkExecutionContext.MemoryManagerParRDDs

Enclosing class:
  SparkExecutionContext

    public static class SparkExecutionContext.MemoryManagerParRDDs
    extends Object

### Constructor Summary

Constructors
`MemoryManagerParRDDs​(double fractionMem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`void` `deregisterRDD​(int rddID)`
`void` `registerRDD​(int rddID, long rddSize, boolean reserved)`
`boolean` `reserve​(long rddSize)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryManagerParRDDs

    public MemoryManagerParRDDs​(double fractionMem)

### Method Detail

#### reserve

    public boolean reserve​(long rddSize)

#### registerRDD

    public void registerRDD​(int rddID,
                            long rddSize,
                            boolean reserved)

#### deregisterRDD

    public void deregisterRDD​(int rddID)

#### clear

    public void clear()